python2.2.2 make error

Jeff Epler jepler at unpythonic.net
Thu Jan 2 03:48:03 CET 2003


On Thu, Jan 02, 2003 at 10:01:19AM +0900, ¹ÚÈ£°æ wrote:
> 
> I have a problem in compiling python 2.2.2.
> 
> The error message is like this.
> 
> c++  -Xlinker -export-dynamic -o python \
>                 Modules/python.o \
>                 libpython2.2.a -ldl  -lpthread -lutil   -lm
> /usr/bin/ld: Dwarf Error: Invalid or unhandled FORM value: 14.
[..]
> 
> Red Hat 7.2 and gcc version 3.1.1
> 
> Any suggestion would be very appreciated.

This tends to suggest that gcc has created an object file that ld
cannot read.  Not likely to be a Python bug, it doesn't do anything at
all subtle with object files.

A google search for "Dwarf error ... value" (not even as a phrase) turns
this up as the first hit:

    http://gcc.gnu.org/ml/gcc/2002-02/msg00965.html

 From: Daniel Jacobowitz <drow at mvista dot com>                                                                                                                
 To: Craig Rodrigues <rodrigc at attbi dot com>                                                                                                                  
 Cc: gcc at gcc dot gnu dot org                                                                                                                                  
 Date: Sat, 16 Feb 2002 15:44:38 -0500                                                                                                                           
 Subject: Re: Dwarf Error: Invalid or unhandled FORM value: 14.                                                                                                  

 On Sat, Feb 16, 2002 at 03:03:25PM -0500, Craig Rodrigues wrote:                                                                                                      
 > Hi,                                                                                                                                                                 
 >                                                                                                                                                                     
 > I just compiled gcc 3.1 from CVS:                                                                                                                                   
 >                                                                                                                                                                     
 > gcc version 3.1 20020216 (experimental)                                                                                                                             
 > Linux dibbler 2.4.7-2 #1 Tue Aug 14 05:20:08 EDT 2001 i586 unknown                                                                                                  
 > host: i686-pc-linux-gnu                                                                                                                                             
 > binutils-2.10.91.0.2-3                                                                                                                                              
                                                                                                                                                                       
 FORM 14 is DW_FORM_strp, recently added to GCC.  You need a newer                                                                                                     
 binutils.                                                                                                                                                             

It sounds like you need to make sure your upgrade to gcc 3.1.1 is
complete, including the relevant binutils version bump.

Jeff





More information about the Python-list mailing list